/********************************************************************************/
/* Name		: AddWhitwList.java														*/
/* Copyright		: 2003 SATCOMLABS LTD.				     						*/
/* Team		: Spam Control Team													*/
/* Developer	    	: Amit Kumar	 													*/
/* Last Updated  	: 											*/
/* Abstract		: Add new email addresses to DoaminASL							*/
/* Called from	:  											*/
/* Calls		: 																	*/
/********************************************************************************/
package com.antispam;

import java.text.SimpleDateFormat;
import java.util.Date;
import com.DBConnection;

public class DomainWhiteList
{
	DBConnection dbconn = new DBConnection ();

	public int aslid = 0;
	public int domainid = 0;
	public String mailerid = "";
	public String mailerdomain = "";
	
	public int conditionid = 0;
	public int approvalid = 0;
	public String cr_date = ""; //CHALLENGE RESPONSE DATE
	public String keymail = "";
	public String expirationdate = "";

	public String flag = "";

	/* SET-GET THE ASL ID */
	public void setAslid ( int newaslid )
	{
		aslid = newaslid;
	}
	public int getAslid ( )
	{
		return aslid;
	}

	/* SET-GET THE USER ID */
	public void setDomainid ( int newuserid )
	{
		domainid = newuserid;
	}
	public int getDomainid ( )
	{
		return domainid;
	}
	/* SET-GET THE MAILER ID */
	public void setMailerid ( String newmailerid )
	{	  
		mailerid = newmailerid;
	}
	public String getMailerid ( )
	{
		return mailerid;      
	}
	/* SET-GET THE MAILER DOMAIN */
	public void setMailerdomain ( String newmailerdomain )
	{	  
		mailerdomain = newmailerdomain;
	}
	public String getMailerdomain ( )
	{
		return mailerdomain;      
	}

	/* SET THE DATE OF ENTRY */
	Date entrydate = new Date();
	SimpleDateFormat sdf = new SimpleDateFormat("MM/dd/yyyy hh:mm:ss a");
	String dateofentry = sdf.format(entrydate);


	/* SET-GET THE CONDITION ID */
	public void setConditionid ( int newconditionid )
	{	  
		conditionid = newconditionid;
	}
	public int getConditionid ( )
	{
		return conditionid;      
	}

	/* SET-GET THE APPROVAL ID */
	public void setApprovalid ( int newapprovalid )
	{	  
		approvalid = newapprovalid;
	}
	public int getApprovalid ( )
	{
		return approvalid;      
	}

	/* SET-GET THE CHALLENGE RESPONSE DATE */
	public void setCr_date ( String newcr_date )
	{	  
		cr_date = newcr_date;      
	}
	public String getCr_date( )
	{
		return cr_date;
	}

	/* SET-GET THE KEYMAIL */
	public void setKeymail ( String newkeymail )
	{	  
		keymail = newkeymail;      
	}
	public String getKeymail ( )
	{
		return keymail;
	}

	/* SET-GET THE EXPIRATION DATE */
	public void setExpirationdate ( String newexpirationdate )
	{	  
		expirationdate = newexpirationdate;
	}
	public String getExpirationdate ( )
	{
		return expirationdate;      
	}
	
	public void setFlag( String s )
	{
		flag = s;
	}
	public String getFlag()
	{
		return flag;
	}


	public String registered ( ) 
	{
		String retVal = "";
		      
		java.sql.Connection conn = null;
		java.sql.Statement smt = null;
		java.sql.ResultSet rs = null;
		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
			
					
			if ( flag.equals("UPDATEPOLICY") )
			{
				qry = "UPDATE ASL SET CONDITIONID="+conditionid+" WHERE ASLID = "+aslid;
				smt.executeUpdate ( qry );
			}

			else if ( flag.equals("UPDATESCOPE") )
			{
				qry = "UPDATE ASL SET APPROVALID = "+approvalid+" WHERE ASLID = "+aslid;
				smt.executeUpdate ( qry );
			}

			else if ( flag.equals("UPDATE") )
			{
				qry = "UPDATE ASL SET CONDITIONID="+conditionid+", APPROVALID = "+approvalid+" WHERE ASLID = "+aslid;
				smt.executeUpdate ( qry );
				retVal= qry;
			}

			else if ( flag.equals("ADD") )
			{
				qry = "SELECT DOMAINASLID FROM DOMAINSASL WHERE MAILERID='"+mailerid+"' AND MAILERDOMAIN='"+mailerdomain+"'";
				rs = smt.executeQuery ( qry );
				if ( rs.next() )
					retVal = mailerid+"@"+mailerdomain+" already exists";
				else
				{
					
						qry = "INSERT INTO DOMAINSASL(DOMAINID,MAILERID,MAILERDOMAIN,DATE_INSERSION,CONDITIONID,APPROVALID) VALUES("+domainid+", '"+mailerid.toLowerCase()+"', '"+mailerdomain.toLowerCase()+"', now(), "+conditionid+", "+approvalid+")";
						smt.executeUpdate( qry );
						retVal =mailerid+"@"+mailerdomain+" added to ASL";
				}
			}
			else if ( flag.equals("DELETE") )
			{
				qry = "DELETE FROM ASL WHERE ASLID='"+aslid+"'";
				smt.executeUpdate( qry );
			}
			
		}
		catch ( java.sql.SQLException sqle )
		{
			System.out.println("SQLE Exception-->"+sqle);
			retVal=sqle.toString();
		}
		catch ( Exception e )
		{
			System.out.println("Exception-->"+e);
			retVal=e.toString();
		}
		finally
		{
			try 
			{
				smt.close();
				conn.close();
			}
			catch ( Exception ignored ) {}
		}
		return retVal;
	}
}
