currentCol = 0
previousCol = -1

function CompareAlpha(a, b) {
	if (a[currentCol] < b[currentCol]) { return -1; }
	if (a[currentCol] > b[currentCol]) { return 1; }
	return 0;
}

function CompareAlphaIgnore(a, b) {
	strA = a[currentCol].toLowerCase();
	strB = b[currentCol].toLowerCase();
	if (strA < strB) { return -1; }
	else {
		if (strA > strB) { return 1; }
		else { return 0; }
	}
}

function CompareDate(a, b) {
	// this one works with date formats conforming to Javascript specifications, e.g. m/d/yyyy
	datA = new Date(a[currentCol]);
	datB = new Date(b[currentCol]);
	if (datA < datB) { return -1; }
	else {
		if (datA > datB) { return 1; }
		else { return 0; }
	}
}

function CompareDateEuro(a, b) {
	// this one works with european date formats, e.g. d.m.yyyy
	strA = a[currentCol].split(".");
	strB = b[currentCol].split(".")
	datA = new Date(strA[2], strA[1], strA[0]);
	datB = new Date(strB[2], strB[1], strB[0]);
	if (datA < datB) { return -1; }
	else {
		if (datA > datB) { return 1; }
		else { return 0; }
	}
}

function CompareNumeric(a, b) {
	//window.alert ("CompareNumeric");
	numA = a[currentCol]
	numB = b[currentCol]
	if (isNaN(numA)) { return 0;}
	else {
		if (isNaN(numB)) { return 0; }
		else { return numA - numB; }
	}
}

function TableSort(myTable, myCol, myType) {

	// Create a two-dimensional array and fill it with the table's content
	
	var mySource = document.all(myTable);
	var myRows = mySource.rows.length;
	
	var myCols = mySource.rows(0).cells.length;
	currentCol = myCol
	myArray = new Array(myRows)
	for (i=0; i < myRows; i++) {
		myArray[i] = new Array(myCols)
		for (j=0; j < myCols; j++) {
			myArray[i][j] = document.all(myTable).rows(i).cells(j).innerText
		}
	}
	if (myCol == previousCol) {
		myArray.reverse(); // clicked the same column as previously - reverse the sort
	}
	else { // clicked on a new column - sort as indicated
		switch (myType) {
			case "a":
				myArray.sort(CompareAlpha);
				break;
			case "ai":
				myArray.sort(CompareAlphaIgnore);
				break;
			case "d":
				myArray.sort(CompareDate);
				break;
			case "de":
				myArray.sort(CompareDateEuro);
				break;
			case "n":
				myArray.sort(CompareNumeric);
				break;
			default:
				myArray.sort()
		}
	}

	// Re-write the table contents
	for (i=0; i < myRows; i++) {
		for (j=0; j < myCols; j++) {
			mySource.rows(i).cells(j).innerText = myArray[i][j]
		}
	}

	previousCol = myCol; // remember the current sort column for the next pass
	return 0;
 
}
	
	function Trim (s)
	{         
	 	//trim lefthand spaces
		var i=0;
		var ch="";
		for(i=0;i<s.length;i++)
		{ ch=s.substring(0,i);
		while(s.charAt(i)==' ')
 	   	        i++;
                 		 s=s.substring(i,s.length);
         		s=ch+s;
		}
		if (s.length > 0) 
		{
			while(''+s.charAt(s.length-1)==' ') 
			s = s.substring(0,s.length-1);
			return s;
		}
	}
	function Day()
	{
		for(var i=1;i<32;i++)
			document.write("<option value="+i+">"+i+"</option>");	
	}
	function Month()
	{
		document.write("<option value='1'>January</option>");
		document.write("<option value='2'>February</option>");
		document.write("<option value='3'>March</option>");
		document.write("<option value='4'>April</option>");
		document.write("<option value='5'>May</option>");
		document.write("<option value='6'>June</option>");
		document.write("<option value='7'>July</option>");
		document.write("<option value='8'>August</option>");
		document.write("<option value='9'>September</option>");
		document.write("<option value='10'>October</option>");
		document.write("<option value='11'>November</option>");
		document.write("<option value='12'>December</option>");
	}
	
	function Year()
	{
		for(var i=2003;i<2011;i++)
			document.write("<option value="+i+">"+i+"</option>");
	}

	function replaceChars(entry,out,add ) 
	{
		//out = "+"; // replace this
		//add = " "; // with this
		temp = "" + entry; // temporary holder
		while (temp.indexOf(out)>-1) 
		{
			pos= temp.indexOf(out);
			temp = "" + (temp.substring(0, pos) + add + 
			temp.substring((pos + out.length), temp.length));
		}
		return temp;
	}

	function LTrim (s)           //trim lefthand spaces
	{
 		var i=0;
		while(s.charAt(i)==' ')
 	            i++;
                s=s.substring(i,s.length);
        	 return s;
	}
	
	function RTrim (s)            //trim righthand spaces
	{
		if (s.length >0) 
		{
			while(''+s.charAt(s.length-1)==' ') 
				s = s.substring(0,s.length-1);
			return s;
		}
	}

